complexType "BusinessCenterTime"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 12 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | hourMinuteTime?, businessCenter?
</...>

Content Model Elements (2):

  businessCenter (defined in BusinessCenterTime complexType), | hourMinuteTime (defined in BusinessCenterTime complexType)

All Direct / Indirect Based Elements (12):

  cashSettlementValuationTime, earliestExerciseTime (in americanExercise), earliestExerciseTime (in bermudaExercise), earliestExerciseTime (in europeanExercise), expirationTime (in americanExercise), expirationTime (in bermudaExercise), | expirationTime (in europeanExercise), fixingTime (defined in FxSpotRateSource complexType), fixingTime (in nonstandardSettlementRate), latestExerciseTime (in americanExercise), latestExerciseTime (in bermudaExercise), valuationTime

Known Usage Locations

- As direct type of elements (12):

  cashSettlementValuationTime, earliestExerciseTime (in americanExercise), earliestExerciseTime (in bermudaExercise), earliestExerciseTime (in europeanExercise), expirationTime (in americanExercise), expirationTime (in bermudaExercise), | expirationTime (in europeanExercise), fixingTime (defined in FxSpotRateSource complexType), fixingTime (in nonstandardSettlementRate), latestExerciseTime (in americanExercise), latestExerciseTime (in bermudaExercise), valuationTime

Annotation
A type for defining a time with respect to a business day calendar location. For example, 11:00am London time.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="BusinessCenterTime"> <xsd:sequence> <xsd:element minOccurs="0" name="hourMinuteTime" type="HourMinuteTime"/> <xsd:element minOccurs="0" name="businessCenter" type="BusinessCenter"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
businessCenter

  Type: | BusinessCenter, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="businessCenter" type="BusinessCenter"/>

hourMinuteTime

  Type: | HourMinuteTime, simple content

  A time specified in hh:mm:ss format where the second component must be '00', e.g. 11am would be represented as 11:00:00.
  Simple Content

  xsd:time

  Pattern: | [0-2][0-9]:[0-5][0-9]:00

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="hourMinuteTime" type="HourMinuteTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.